﻿// ------------------------------------------------------------------------------
//  <auto-generated>
//      Этот код был создан построителем кодированных тестов ИП.
//      Версия: 15.0.0.0
//
//      Изменения, внесенные в этот файл, могут привести к неправильной работе кода и будут
//      утрачены при повторном формировании кода.
//  </auto-generated>
// ------------------------------------------------------------------------------

namespace _1mBD2_SidorovDM_CodedUiTest
{
    using System;
    using System.CodeDom.Compiler;
    using System.Collections.Generic;
    using System.Drawing;
    using System.Text.RegularExpressions;
    using System.Windows.Input;
    using Microsoft.VisualStudio.TestTools.UITest.Extension;
    using Microsoft.VisualStudio.TestTools.UITesting;
    using Microsoft.VisualStudio.TestTools.UITesting.WpfControls;
    using Microsoft.VisualStudio.TestTools.UnitTesting;
    using Keyboard = Microsoft.VisualStudio.TestTools.UITesting.Keyboard;
    using Mouse = Microsoft.VisualStudio.TestTools.UITesting.Mouse;
    using MouseButtons = System.Windows.Forms.MouseButtons;
    
    
    [GeneratedCode("Построитель кодированных тестов ИП", "15.0.26208.0")]
    public partial class UIMap
    {
        
        /// <summary>
        /// RecordedMethod1
        /// </summary>
        public void RecordedMethod1()
        {
            #region Variable Declarations
            WpfWindow uIWpfWindow = this.UIWpfWindow;
            #endregion

            // Запись для тестируемого "\\DESKTOP-ODMKS2T\Share\MADI\1 семестр\ТРПО Технология разработки программного обеспечения\Лаба 3 - Tests\3\1mBD2_SidorovDM_Wpf2\bin\Debug\1mBD2_SidorovDM_Wpf2.exe" приложения может быть неправильной, так как она находится в общей сетевой папке. Установите приложение в локальный путь.

            // Щелкните "Wpf" окно
            Mouse.Click(uIWpfWindow, new Point(283, 201));

            // Щелкните "Wpf" окно
            Mouse.Click(uIWpfWindow, new Point(289, 283));
        }
        
        /// <summary>
        /// RecordedMethod2 - Используйте "RecordedMethod2Params" для передачи параметров в этот метод.
        /// </summary>
        public void RecordedMethod2()
        {
            #region Variable Declarations
            WpfButton uIStartButton = this.UIMainWindowWindow.UIStartButton;
            WpfCheckBox uICheckBoxCheckBox = this.UIMainWindowWindow.UICheckBoxCheckBox;
            #endregion

            // Запуск "\\DESKTOP-ODMKS2T\Share\MADI\1 семестр\ТРПО Технология разработки программного обеспечения\Лаба 3 - Tests\3\1mBD2_SidorovDM_Wpf2\bin\Debug\1mBD2_SidorovDM_Wpf2.exe"
            ApplicationUnderTest uIMainWindowWindow = ApplicationUnderTest.Launch(this.RecordedMethod2Params.UIMainWindowWindowExePath, this.RecordedMethod2Params.UIMainWindowWindowAlternateExePath);

            // Запись для тестируемого "\\DESKTOP-ODMKS2T\Share\MADI\1 семестр\ТРПО Технология разработки программного обеспечения\Лаба 3 - Tests\3\1mBD2_SidorovDM_Wpf2\bin\Debug\1mBD2_SidorovDM_Wpf2.exe" приложения может быть неправильной, так как она находится в общей сетевой папке. Установите приложение в локальный путь.

            // Щелкните "Start" кнопка
            Mouse.Click(uIStartButton, new Point(66, 19));

            // Выбор "CheckBox" флажок
            uICheckBoxCheckBox.Checked = this.RecordedMethod2Params.UICheckBoxCheckBoxChecked;
        }
        
        #region Properties
        public virtual RecordedMethod2Params RecordedMethod2Params
        {
            get
            {
                if ((this.mRecordedMethod2Params == null))
                {
                    this.mRecordedMethod2Params = new RecordedMethod2Params();
                }
                return this.mRecordedMethod2Params;
            }
        }
        
        public UIWpfWindow UIWpfWindow
        {
            get
            {
                if ((this.mUIWpfWindow == null))
                {
                    this.mUIWpfWindow = new UIWpfWindow();
                }
                return this.mUIWpfWindow;
            }
        }
        
        public UIMainWindowWindow UIMainWindowWindow
        {
            get
            {
                if ((this.mUIMainWindowWindow == null))
                {
                    this.mUIMainWindowWindow = new UIMainWindowWindow();
                }
                return this.mUIMainWindowWindow;
            }
        }
        #endregion
        
        #region Fields
        private RecordedMethod2Params mRecordedMethod2Params;
        
        private UIWpfWindow mUIWpfWindow;
        
        private UIMainWindowWindow mUIMainWindowWindow;
        #endregion
    }
    
    /// <summary>
    /// Параметры для передачи в "RecordedMethod2"
    /// </summary>
    [GeneratedCode("Построитель кодированных тестов ИП", "15.0.26208.0")]
    public class RecordedMethod2Params
    {
        
        #region Fields
        /// <summary>
        /// Запуск "\\DESKTOP-ODMKS2T\Share\MADI\1 семестр\ТРПО Технология разработки программного обеспечения\Лаба 3 - Tests\3\1mBD2_SidorovDM_Wpf2\bin\Debug\1mBD2_SidorovDM_Wpf2.exe"
        /// </summary>
        public string UIMainWindowWindowExePath = "\\\\DESKTOP-ODMKS2T\\Share\\MADI\\1 семестр\\ТРПО Технология разработки программного об" +
            "еспечения\\Лаба 3 - Tests\\3\\1mBD2_SidorovDM_Wpf2\\bin\\Debug\\1mBD2_SidorovDM_Wpf2.e" +
            "xe";
        
        /// <summary>
        /// Запуск "\\DESKTOP-ODMKS2T\Share\MADI\1 семестр\ТРПО Технология разработки программного обеспечения\Лаба 3 - Tests\3\1mBD2_SidorovDM_Wpf2\bin\Debug\1mBD2_SidorovDM_Wpf2.exe"
        /// </summary>
        public string UIMainWindowWindowAlternateExePath = "\\\\DESKTOP-ODMKS2T\\Share\\MADI\\1 семестр\\ТРПО Технология разработки программного об" +
            "еспечения\\Лаба 3 - Tests\\3\\1mBD2_SidorovDM_Wpf2\\bin\\Debug\\1mBD2_SidorovDM_Wpf2.e" +
            "xe";
        
        /// <summary>
        /// Выбор "CheckBox" флажок
        /// </summary>
        public bool UICheckBoxCheckBoxChecked = true;
        #endregion
    }
    
    [GeneratedCode("Построитель кодированных тестов ИП", "15.0.26208.0")]
    public class UIWpfWindow : WpfWindow
    {
        
        public UIWpfWindow()
        {
            #region Условия поиска
            this.SearchProperties.Add(new PropertyExpression(WpfWindow.PropertyNames.ClassName, "HwndWrapper", PropertyExpressionOperator.Contains));
            #endregion
        }
    }
    
    [GeneratedCode("Построитель кодированных тестов ИП", "15.0.26208.0")]
    public class UIMainWindowWindow : WpfWindow
    {
        
        public UIMainWindowWindow()
        {
            #region Условия поиска
            this.SearchProperties[WpfWindow.PropertyNames.Name] = "MainWindow";
            this.SearchProperties.Add(new PropertyExpression(WpfWindow.PropertyNames.ClassName, "HwndWrapper", PropertyExpressionOperator.Contains));
            this.WindowTitles.Add("MainWindow");
            #endregion
        }
        
        #region Properties
        public WpfButton UIStartButton
        {
            get
            {
                if ((this.mUIStartButton == null))
                {
                    this.mUIStartButton = new WpfButton(this);
                    #region Условия поиска
                    this.mUIStartButton.SearchProperties[WpfButton.PropertyNames.AutomationId] = "button1";
                    this.mUIStartButton.WindowTitles.Add("MainWindow");
                    #endregion
                }
                return this.mUIStartButton;
            }
        }
        
        public WpfCheckBox UICheckBoxCheckBox
        {
            get
            {
                if ((this.mUICheckBoxCheckBox == null))
                {
                    this.mUICheckBoxCheckBox = new WpfCheckBox(this);
                    #region Условия поиска
                    this.mUICheckBoxCheckBox.SearchProperties[WpfCheckBox.PropertyNames.AutomationId] = "checkBox1_";
                    this.mUICheckBoxCheckBox.WindowTitles.Add("MainWindow");
                    #endregion
                }
                return this.mUICheckBoxCheckBox;
            }
        }
        #endregion
        
        #region Fields
        private WpfButton mUIStartButton;
        
        private WpfCheckBox mUICheckBoxCheckBox;
        #endregion
    }
}
